Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members

# mysqlpp::ConnectionFailed Class Reference

Exception thrown when there is a problem establishing the database server connection. It's also thrown if Connection::shutdown() fails. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::ConnectionFailed:

[legend]
Collaboration diagram for mysqlpp::ConnectionFailed:

[legend]
List of all members.

## Public Member Functions
| ConnectionFailed (const char *w="")
| Create exception object.

## Detailed Description

Exception thrown when there is a problem establishing the database server connection. It's also thrown if Connection::shutdown() fails.

The documentation for this class was generated from the following file:

- exceptions.h